Skip to main content
`Ctrl`+`K`

# DMGetCellDS

Get the `PetscDS` defined on a given cell

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetCellDS(DM dm, PetscInt point, PetscDS *ds, PetscDS *dsIn)

Not Collective

## Input Parameters

- dm - The `DM`

- point - Cell for the `PetscDS`

## Output Parameters

- ds - The `PetscDS` defined on the given cell

- dsIn - The `PetscDS` for input on the given cell, or `NULL` if the same ds

## See Also

DM Basics, `DM`, `DMGetDS()`, `DMSetRegionDS()`

## Level

developer

## Location

src/dm/interface/dm.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages